Bug 560322 - Review Request: urg - Library to access Hokuyo URG laser range finders
Review Request: urg - Library to access Hokuyo URG laser range finders
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-30 19:06 EST by Tim Niemueller
Modified: 2010-03-02 19:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-31 18:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2010-01-30 19:06:01 EST
Spec URL: http://fedorapeople.org/~timn/robotics/urg.spec
SRPM URL: http://fedorapeople.org/~timn/robotics/urg-0.8.7-1.fc12.src.rpm
Description: This library uses the SCIP2.0 protocol to provide access to devices of Hokuyo URG laser range finder series.

Note: the rpmlint warning that the package name appears in the summary line must be ignored. The library is named urg, as are a series of products of Hokuyo. But Hokuyo also produces other laser range finders such that just "Hokuyo laser range finder" is not enough.

The package has been verified with actual hardware and is working just fine. Several patches to make it suitable for inclusion have been created and submitted and were included by (a very responsive) upstream. Current set of patches has also been sent to upstream. At the moment it fails to build on ppc64. I do not intend to investigate this (no machine available, especially not to test if the library works and ppc/ppc64 is no longer a primary arch).

Scratch builds
F-11: https://koji.fedoraproject.org/koji/taskinfo?taskID=1954303
F-12: https://koji.fedoraproject.org/koji/taskinfo?taskID=1954307
F-13: https://koji.fedoraproject.org/koji/taskinfo?taskID=1954311
EL-5: https://koji.fedoraproject.org/koji/taskinfo?taskID=1954299
Comment 1 Michael Schwendt 2010-01-31 12:04:08 EST
* Hardcoded /usr/lib in -config scripts in x86_64 package.

* /usr/include/urg/findFiles.h depends on boost-devel, but this header is optional (currently) and hence the dependency on boost-devel is optional. So, this acceptable.

* Only the README mentions the LGPL licensing with a single word. Less than ideal (as preferably, the source files also refer to the licensing), but acceptable.

$ rpmlint urg-*.x86_64.rpm
urg.x86_64: W: spelling-error Summary(en_US) Hokuyo -> Hokum, Hokusai, Hokey
urg.x86_64: W: name-repeated-in-summary C URG
urg.x86_64: W: spelling-error %description -l en_US Hokuyo -> Hokum, Hokusai, Hokey
urg-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

* src.rpm crashes rpmlint from updates-testing ;)

* "spectool -g urg-0.8.7-1.fc12.src/urg.spec" only retrieves a HTML page, not the tarball.

* Please point out the compiler warnings to upstream. Especially the format string warnings.
Comment 2 Tim Niemueller 2010-01-31 12:52:54 EST
(In reply to comment #1)
> * Hardcoded /usr/lib in -config scripts in x86_64 package.

Extended norpath patch to remove those. But actually they provided /usr/lib/(c_)?urg. A patch I submitted has been recently applied to rename libraries and remove this extra sub-dir of /usr/lib, this is a remnant.

> * /usr/include/urg/findFiles.h depends on boost-devel, but this header is
> optional (currently) and hence the dependency on boost-devel is optional. So,
> this acceptable.

Added boost-devel for devel sub-package to be on the safe side.

> * Only the README mentions the LGPL licensing with a single word. Less than
> ideal (as preferably, the source files also refer to the licensing), but
> acceptable.

Will pass this request to upstream.

> $ rpmlint urg-*.x86_64.rpm
> urg.x86_64: W: spelling-error Summary(en_US) Hokuyo -> Hokum, Hokusai, Hokey
> urg.x86_64: W: name-repeated-in-summary C URG
> urg.x86_64: W: spelling-error %description -l en_US Hokuyo -> Hokum, Hokusai,
> Hokey
> urg-devel.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 0 errors, 4 warnings.

All warnings are "ok". The spelling errors are none (company is indeed named Hokuyo), name repeated in summary intended as explained in original pos, no documentation for devel package available in tar ball.

> * src.rpm crashes rpmlint from updates-testing ;)

Nothing I can do about it :-)

> * "spectool -g urg-0.8.7-1.fc12.src/urg.spec" only retrieves a HTML page, not
> the tarball.

Fixed, URL to actual file given now, spectool downloads proper file.

> * Please point out the compiler warnings to upstream. Especially the format
> string warnings.    

Will do.

Spec file updated at previous place, new SRPM is at http://fedorapeople.org/~timn/robotics/urg-0.8.7-2.fc12.src.rpm.
Comment 3 Michael Schwendt 2010-01-31 13:30:35 EST
That did it.

APPROVED
Comment 4 Tim Niemueller 2010-01-31 13:38:20 EST
New Package CVS Request
=======================
Package Name: urg
Short Description: Library to access Hokuyo URG laser range finders
Owners: timn
Branches: F-11 F-12 EL-5
Comment 5 Tim Niemueller 2010-01-31 13:38:46 EST
Thank you for the quick and thorough review, Michael!
Comment 6 Kevin Fenzi 2010-01-31 14:08:51 EST
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-01-31 18:02:12 EST
urg-0.8.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/urg-0.8.7-2.fc11
Comment 8 Fedora Update System 2010-01-31 18:02:49 EST
urg-0.8.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/urg-0.8.7-2.fc12
Comment 9 Fedora Update System 2010-01-31 18:03:19 EST
urg-0.8.7-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/urg-0.8.7-2.el5
Comment 10 Fedora Update System 2010-02-01 20:11:44 EST
urg-0.8.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-02-01 20:19:00 EST
urg-0.8.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-03-02 19:20:30 EST
urg-0.8.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.